autopkgtest-virt-null(1)

NAME
autopkgtest-virt-null - autopkgtest null virtualisation server

SYNOPSIS
autopkgtest [...] -- null [options]

DESCRIPTION
autopkgtest-virt-null provides a dummy autopkgtest virtualisation server which does not actually offer any kind of separation between host and testbed.

Normally autopkgtest-virt-null will be invoked by autopkgtest.

There is of course no locking; nothing prevents multiple simultaneous programs from invoking autopkgtest-virt-null so as to reuse the same system as a testbed.

OPTIONS

-d | --debug
    Enables debugging output. Probably not hugely interesting.

--fake-capability CAPABILITY
    Advertise CAPABILITY in the list of capabilities, regardless of whether the capability is implemented. Note that this is hazardous - tests may malfunction, or even mess up the system.

    In autopkgtest 5.47 and earlier, autopkgtest-virt-null falsely advertises isolation-machine. This option can be used to restore that behaviour: --fake-capability=isolation-machine.

--retain-tmp
    Do not delete the temporary directory on exit. When using this option you should probably set TMPDIR since that's where the directory is created.

INPUT, OUTPUT AND EXIT STATUS
The behaviour of autopkgtest-virt-null is as described by the AutomatedTesting virtualisation regime specification.

SEE ALSO
autopkgtest(1), /usr/share/doc/autopkgtest/.

AUTHORS AND COPYRIGHT
This manpage is part of autopkgtest, a tool for testing Debian binary packages. autopkgtest is Copyright (C) 2006-2007 Canonical Ltd and others.

See /usr/share/doc/autopkgtest/CREDITS for the list of contributors and full copying conditions.